package com.bonus.zlpt.equip.mapper;

import com.bonus.zlpt.equip.api.domain.FileInfo;

import java.util.List;

/**
 * 设备附件
Mapper接口
 * 
 * @author xsheng
 * @date 2023-12-02
 */
public interface FileInfoMapper 
{
    /**
     * 查询设备附件

     * 
     * @param id 设备附件
主键
     * @return 设备附件

     */
    public FileInfo selectFileInfoById(Long id);

    /**
     * 查询设备附件
列表
     * 
     * @param fileInfo 设备附件

     * @return 设备附件
集合
     */
    public List<FileInfo> selectFileInfoList(FileInfo fileInfo);

    /**
     * 新增设备附件

     * 
     * @param fileInfo 设备附件

     * @return 结果
     */
    public int insertFileInfo(FileInfo fileInfo);

    /**
     * 修改设备附件

     * 
     * @param fileInfo 设备附件

     * @return 结果
     */
    public int updateFileInfo(FileInfo fileInfo);

    /**
     * 删除设备附件

     * 
     * @param id 设备附件
主键
     * @return 结果
     */
    public int deleteFileInfoById(Long id);

    /**
     * 批量删除设备附件

     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFileInfoByIds(Long[] ids);


    /**
     * 根据设备id查询
     *
     * @param maId
     * @return
     */
    List<FileInfo> selectByMaId(Long maId);

}
